Index: src/southbridge/amd/cs5535/cs5535.c
===================================================================
--- src/southbridge/amd/cs5535/cs5535.c	(Revision 4746)
+++ src/southbridge/amd/cs5535/cs5535.c	(Arbeitskopie)
@@ -108,3 +108,11 @@
 	.vendor = PCI_VENDOR_ID_NS,
 	.device = PCI_DEVICE_ID_NS_CS5535
 };
+
+struct chip_operations southbridge_amd_cs5535_ops = {
+        CHIP_NAME("AMD Geode CS5535 Southbridge")
+            /* This is only called when this device is listed in the
+             * static device tree.
+             */
+            .enable_dev = southbridge_enable,
+};
Index: src/southbridge/amd/cs5535/chip.h
===================================================================
--- src/southbridge/amd/cs5535/chip.h	(Revision 4746)
+++ src/southbridge/amd/cs5535/chip.h	(Arbeitskopie)
@@ -1,9 +1,9 @@
-#ifndef _SOUTHBRIDGE_AMD_CS5536
-#define _SOUTHBRIDGE_AMD_CS5536
+#ifndef _SOUTHBRIDGE_AMD_CS5535
+#define _SOUTHBRIDGE_AMD_CS5535
 
-extern struct chip_operations southbridge_amd_cs5536_ops;
+extern struct chip_operations southbridge_amd_cs5535_ops;
 
-struct southbridge_amd_cs5536_config {
+struct southbridge_amd_cs5535_config {
 	int none;
 };
 
